# Preview
![Preview](https://cdn.discordapp.com/attachments/954473402800934962/958523597641613402/unknown.png)

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][passive] | Passive: Center of the Universe | Aurelion Sol can fly at will and is permanently orbited by 3 stars. [ Celestial Expansion ] toggle the stars between close and expanded range, when a star hits an enemy it deals 300/600% damage. The star's rotation speed scales with attack speed. |
| ![][primary] | Primary: Solar Flare | Aurelion Sol exhales a cluster of starfire close to him, dealing 250% damage. This attack also sends a single, weaker but long range projectile where aimed dealing 200% damage. Both hits apply a stack of ignite. |
| ![][secondary] | Secondary: Starsurge | Aurelion Sol channels a newborn star which travels in the target direction. When recast or it strays too far away from aurelion it detonates, stunning and dealing 400%, increasing with distance travelled. |
| ![][utility] | Utility: Comet of Legend | Aurelion Sol flies in a burst of speed in the direction aimed, the speed and distance scales with movement speed. If Starsurge is currently active or is cast during Comet of Legend, it will center itself on Aurelion Sol while he travels. Can be cancelled by pressing Space. Can be cancelled at any time by pressing Jump. |
| ![][special] | Special: Voice of Light | Aurelion Sol pulls all nearby enemies to Center of the universe's expanded radius then exhales a beam of starfire in the target direction dealing 1000% damage. |

[passive]: https://cdn.discordapp.com/attachments/954473402800934962/957310787863597136/aurelionsol_w_starsout.png
[primary]: https://cdn.discordapp.com/attachments/954473402800934962/957310786554961930/aurelionsol_passive.png
[secondary]: https://cdn.discordapp.com/attachments/954473402800934962/957310786743697448/aurelionsol_q.png
[utility]: https://cdn.discordapp.com/attachments/954473402800934962/957310788115247184/aurelionsol_e_fly.png
[special]: https://cdn.discordapp.com/attachments/954473402800934962/957310787473506374/aurelionsol_r.png

# Installation

R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Aurelion" dll to your plugins folder

3 - Have fun!

# Support Me

If you like my mods and would like to support my work, consider buying me a coffee:

[![kofilogo](https://cdn.discordapp.com/attachments/749076478146117733/939032751762460742/61e11149b3af2ee970bb8ead_Ko-fi_logo-p-250.png)](https://ko-fi.com/dragonyck)

# Credits

Dragonyck - For his blood, tears and effort put into this.

Mary - Extremely helpful bug testing, overall balance and for commissioning this awesome mod. 

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

# Changelog
`1.1.0`
- Survivor unlock interactable no longer needs to be interacted by every single player. It *should* unlock for all players in the session. *NOTE:* This needs some testing on real multiplayer connections, bc I physically can't properly debug this on my machine.
- Achievements have been rewritten to use the vanilla method. *Should* be better for multiplayer sessions. *NOTE:* Due to the achievement update the keys have changed, so you'll have to unlock everything again.

`1.0.7`
- Fixed some issues with M2 for clients.

`1.0.6`
- UNET Patch

`1.0.5`
- Fixed M2 acting weird for clients.
- Fixed M1 effect not spawning for clients.
- Reinforced some unlockable condition checks to avoid issues.

`1.0.4`
- Interactable can now be reused.

`1.0.3`
- Fixed readme skill description.

`1.0.2`
- Fixed unlock interactable not spawning if the host already had him unlocked.

`1.0.1`
- Updated Utility description.

`1.0.0`
- Release
